/*____________________________________________________________________________*\
 *

 Copyright (c) 1997-2003 John Roy, Holger Zimmermann. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: /cvsroot/pi3web/Pi3Web_200/Source/PiAPI/PIDocs.h,v $
 * $Date: 2003/05/13 18:42:12 $
 *
 Description:
	Dummy holding place for miscellanious documentation.
\*____________________________________________________________________________*/
/* $HeaderTop:$ */

#ifndef PIDOCS_H_
#define PIDOCS_H_

/*____________________________________________________________________________*\
 *
 Name:
	Errors

 Synopsis:
 Description:
 Notes:
	Error codes are maintained on a per-thread basis and can be set and
	examined using PIPlatform_getLastError() and PIPlatform_setLastError()
	respectively. The following are the error codes used and thier
	meanings.
		<TABLE>
		<TR><TD>PIAPI_ERROR		<TD>an unspecified error, use operating system 
							facilities to further isolate the error.
		<TR><TD>PIAPI_EXHAUSTED		<TD>memory or disk space exhausted.
		<TR><TD>PIAPI_EINVAL		<TD>invalid parameter
		<TR><TD>PIAPI_NOTSUPPORTED	<TD>unimplemented facilitiy
		<TR><TD>PIAPI_EEXIST		<TD>a file or other object cannot be created 
							because some object already exists which
							the creation would corrupt.
		<TR><TD>PIAPI_EACCES		<TD>access denied
		<TR><TD>PIAPI_EINIT		<TD>library not correctly initialised.
		<TR><TD>PIAPI_DEADLOCK		<TD>action would leave no runnable threads.
		</TABLE>
 Return Values:
 See Also:
	PIPlatform_getLastError(), Errors
\*____________________________________________________________________________*/

#endif	/* PIDOCS_H_ */

