/*____________________________________________________________________________*\
 *

 Copyright (c) 1997-2003 John Roy, Holger Zimmermann. All rights reserved.

 These sources, libraries and applications are
 FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 as long as the following conditions are adhered to.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

 3. The name of the author may not be used to endorse or promote products
    derived from this software without specific prior written permission.

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHORS OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 OF THE POSSIBILITY OF SUCH DAMAGE.

 *____________________________________________________________________________*|
 *
 * $Source: /cvsroot/pi3web/Pi3Web_200/Source/Pi3API/Pi3API.h,v $
 * $Date: 2003/05/13 18:42:11 $
 *
 Description:
	Top level include file for Pi3API. 
\*____________________________________________________________________________*/
/* $HeaderTop:$ */

#ifndef PI3API_H_
#define PI3API_H_

#include "Pi2API.h"

/*____________________________________________________________________________*\
 *
    All exported and imported shared objects have C linkage.
\*____________________________________________________________________________*/
#if !defined(PUBLIC_PIAPI)
#   if defined(__cplusplus)
#       define PUBLIC_PIAPI extern "C" 
#   else
#       define PUBLIC_PIAPI
#   endif
#endif

/* ---
	API include files
--- */
#include "HTTPDefs.h"		/* common HTTP definitions */
#include "PIHTTP.h"			/* main HTTP processing structure */
#include "Pi3Str.h"			/* string */
#include "Pi3Expr.h"		/* expression */
#include "HTTPCore.h"		/* core functionality */
#include "HTTPUtil.h"		/* utilities */

#endif	/* Pi3API_H_ */

